org.apache.sysds.runtime.controlprogram.federated

## Enum FederationMap.AlignType

- java.lang.Object
- - java.lang.Enum<FederationMap.AlignType>
  - - org.apache.sysds.runtime.controlprogram.federated.FederationMap.AlignType

All Implemented Interfaces:
  Serializable, Comparable<FederationMap.AlignType>

Enclosing class:
  FederationMap

    public static enum FederationMap.AlignType
    extends Enum<FederationMap.AlignType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COL`
`COL_T`
`FULL`
`FULL_T`
`ROW`
`ROW_T`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isColType()`
`boolean` `isFullType()`
`boolean` `isRowType()`
`boolean` `isTransposed()`
`static FederationMap.AlignType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FederationMap.AlignType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FULL

    public static final FederationMap.AlignType FULL

#### ROW

    public static final FederationMap.AlignType ROW

#### COL

    public static final FederationMap.AlignType COL

#### FULL_T

    public static final FederationMap.AlignType FULL_T

#### ROW_T

    public static final FederationMap.AlignType ROW_T

#### COL_T

    public static final FederationMap.AlignType COL_T

### Method Detail

#### values

    public static FederationMap.AlignType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FederationMap.AlignType c : FederationMap.AlignType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FederationMap.AlignType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isTransposed

    public boolean isTransposed()

#### isFullType

    public boolean isFullType()

#### isRowType

    public boolean isRowType()

#### isColType

    public boolean isColType()